
Redmine - Patch #37750

Use existing html pipeline based sanitization for links in custom fields 

2022-10-04 13:33 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 5.1.0   

Description

these patches, extracted from Planio, introduce a standalone HTML sanitizer class (based on the existing code from the common

mark formatter) and use it to replace sanitization of links generated by custom fields, including the special class="external" and

rel="noopener" treatment for external / target_blank links.

Associated revisions

Revision 21899 - 2022-10-04 21:46 - Marius BĂLTEANU

Always bundle html-pipeline and sanitizer gems (#37750).

Patch by Jens Krämer.

Revision 21900 - 2022-10-04 21:49 - Marius BĂLTEANU

Introduces a standalone html sanitizer class (#37750).

Patch by Jens Krämer.

Revision 21901 - 2022-10-04 21:50 - Marius BĂLTEANU

Uses the new html sanitizer for links rendered by custom fields (#37750).

Patch by Jens Krämer.

Revision 21911 - 2022-10-20 09:23 - Go MAEDA

Add a copyright header (#37750).

Revision 21912 - 2022-10-20 09:34 - Go MAEDA

Fix RuboCop offenses Layout/EmptyLinesAroundModuleBody, Layout/EmptyLinesAroundClassBody, and Layout/TrailingEmptyLines in

html_sanitizer.rb (#37750).

Revision 21913 - 2022-10-20 09:48 - Go MAEDA

Fix RuboCop offense Layout/FirstArrayElementIndentation in html_sanitizer.rb (#37750).

Revision 21914 - 2022-10-20 09:57 - Go MAEDA

Fix RuboCop offenses Layout/EmptyLinesAroundClassBody and Layout/TrailingEmptyLines in html_sanitizer_test.rb (#37750).

History

#1 - 2022-10-04 21:11 - Marius BĂLTEANU

- Target version set to 5.1.0

#2 - 2022-10-04 21:50 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

All three patches committed, thanks!

#3 - 2022-10-04 21:51 - Marius BĂLTEANU

- Subject changed from use existing html pipeline based sanitization for links in custom fields  to Use existing html pipeline based sanitization for links

in custom fields 
#4 - 2022-11-29 00:01 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files

0003-uses-the-new-html-sanitizer-for-links-rendered-by-cu.patch 11.2 KB 2022-10-04 Jens Krämer

0001-always-bundle-html-pipeline-and-sanitizer-gems.patch 930 Bytes 2022-10-04 Jens Krämer

0002-introduces-a-standalone-html-sanitizer-class.patch 3.15 KB 2022-10-04 Jens Krämer
